Bug 237923 - games/supertuxkart: Adds missing security/nettle dependency
Summary: games/supertuxkart: Adds missing security/nettle dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-16 12:27 UTC by Lorenzo Salvadore
Modified: 2019-06-04 04:45 UTC (History)
1 user (show)

See Also:
koobs: merge-quarterly?


Attachments
supertuxkart - adds dependency on security/nettle (607 bytes, patch)
2019-05-16 12:27 UTC, Lorenzo Salvadore
phascolarctos: maintainer-approval? (amdmi3)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lorenzo Salvadore 2019-05-16 12:27:33 UTC
Created attachment 204400 [details]
supertuxkart - adds dependency on security/nettle

Supertuxkart binary is linked to libnettle.so, but the dependency is not declared in the port's Makefile, so that pkg autoremove can remove security/nettle making the game unplayable (it happened to me): this patch adds libnettle to LIBDEPENDS. It also bumps PORTREVISION.

Tested successfully on 12.0-RELEASE r347628 amd64.
Comment 1 commit-hook freebsd_committer 2019-06-03 17:37:32 UTC
A commit references this bug:

Author: amdmi3
Date: Mon Jun  3 17:37:13 UTC 2019
New revision: 503404
URL: https://svnweb.freebsd.org/changeset/ports/503404

Log:
  Add option to switch between Nettle and OpenSSL for cryptography

  Nettle is used by default in accordance to what upstream CMake
  code prefers.

  This fixes hidden dependency on nettle if it's installed when
  supertuxkart is build.

  PR:		237923
  Reported by:	phascolarctos@protonmail.ch
  MFH:		2019Q2

Changes:
  head/games/supertuxkart/Makefile
Comment 2 Dmitry Marakasov freebsd_committer 2019-06-03 17:39:20 UTC
Fixed in a bit more flexible manner, thanks for report!

NB: This is not really subject to MFH as 2019Q2 still has supertuxkart 0.9.3.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-06-04 04:28:45 UTC
Quarterly port version aside, if the quarterly version has a missing dependency (undeclared) then the change should be merged. Given ports r503404 does not increment PORTVERSION, this is a great candidate

If quarterly is not affected (doesn't link to libnettle), set merge-quarterly to -